<?php

namespace Treewec\Utils;

/**
 * Test class for Variables.
 * Generated by PHPUnit on 2012-03-25 at 16:20:12.
 * @group utils
 */
class VariablesTest extends \PHPUnit_Framework_TestCase {

    public function testIsEmpty() {
        $emptyValues = array('', null, array(), false);
        $this->assertValues($emptyValues, 'assertTrue');

        $nonEmptyValues = array(0, 0.0, '0', 'string', array(1));
        $this->assertValues($nonEmptyValues, 'assertFalse');
    }

    private function assertValues($values, $assertFunction) {
        foreach ($values as $value) {
            parent::$assertFunction(Variables::isEmpty($value));
        }
    }

}

?>